/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "xfscan.h"
#include "t_scanner.h"

#include "copyright.h"

FD_xfscan *create_form_xfscan(void)
{
  FL_OBJECT *obj;
  FD_xfscan *fdui = (FD_xfscan *) fl_calloc(1, sizeof(*fdui));

   fl_set_border_width(2);
   
  fdui->xfscan = fl_bgn_form(FL_NO_BOX, 150, 365);
  obj = fl_add_box(FL_UP_BOX,0,0,150,365,"");
  fdui->exit_bt = obj = fl_add_button(FL_NORMAL_BUTTON,10,10,70,30,"Exit");
    fl_set_button_shortcut(obj,"x",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,button_cb,-1);

  fdui->matrix_ch = obj = fl_add_choice(FL_NORMAL_CHOICE,10,60,70,30,"Sceensize");
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_color(obj,FL_INACTIVE,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,choice_cb,0);
    fl_addto_choice(obj,"1:1|1:2|1:3|1:4|1:5");
    fl_set_choice(obj,1);
    
  fdui->dpi_ch = obj = fl_add_choice(FL_NORMAL_CHOICE,10,90,70,30,"dpi/ mode");
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_color(obj,FL_WHEAT,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,choice_cb,1);
    {
     int i = 0;
     while (scanner_mode[i].ID != 0)
       {
        fl_addto_choice(obj,scanner_mode[i].name);
        i++;
       }
    }    

  fdui->mode_mnu = obj = fl_add_choice(FL_NORMAL_CHOICE,10,120,70,30,"format");
//    fl_set_button_shortcut(obj,"D",1);
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
//    fl_set_object_color(obj,FL_PALEGREEN,FL_COL1);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_color(obj,FL_PALEGREEN,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
//    fl_addto_choice(obj,"merge");
//    fl_addto_choice(obj,"overwrite");
//    fl_set_choice(obj,2);
    fl_set_object_callback(obj,choice_cb,2);  // do nothing
    fl_addto_choice(obj,"*.ppm|*.pgm|*.pbm|*.xpm");
                     
  fdui->textbox = obj = fl_add_box(FL_EMBOSSED_BOX,10,160,130,30,"");          
//    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);                                 
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);                    
//    fl_set_object_callback(obj,button_cb,6);
    
                   
  
//  fdui->start_bt = obj = fl_add_button(FL_INOUT_BUTTON,10,165,70,30,"Start Scan");

  fdui->edit_bt = obj = fl_add_button(FL_PUSH_BUTTON,10,195,70,30,"Edit");
    fl_set_button_shortcut(obj,"E",1);
//    fl_set_object_lcol(obj,FL_WHITE);
    fl_set_object_color(obj,FL_PALEGREEN,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,button_cb,2);

  fdui->sizebox = obj = fl_add_box(FL_EMBOSSED_BOX,90,190,50,30,"");          
//    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);                                 
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);                    
//    fl_set_object_callback(obj,button_cb,6);

  fdui->start_bt = obj = fl_add_button(FL_PUSH_BUTTON,10,230,70,30,"Start/Stop");
    fl_set_button_shortcut(obj,"t",1);
    fl_set_object_color(obj,FL_DARKORANGE,FL_RED);
    fl_set_object_callback(obj,button_cb,1);
 
  fdui->stripe_bt = obj = fl_add_checkbutton(FL_PUSH_BUTTON,90,230,70,30,"stripe");
//    fl_set_button_shortcut(obj,"t",1);
//    fl_set_object_color(obj,FL_DARKORANGE,FL_RED);
//    fl_set_object_callback(obj,button_cb,1);
//    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);  // BOTTOM_LEFT
    
  fdui->raise_bt = obj = fl_add_checkbutton(FL_PUSH_BUTTON,90,265,70,30,"raise");
//    fl_set_button_shortcut(obj,"t",1);
//    fl_set_object_color(obj,FL_DARKORANGE,FL_RED);
//    fl_set_object_callback(obj,button_cb,1);
//    fl_set_object_lalign(obj,FL_ALIGN_RIGHT); 

  fdui->save_bt = obj = fl_add_button(FL_NORMAL_BUTTON,10,265,70,30,"Save");
    fl_set_button_shortcut(obj,"S",1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,button_cb,3);

  fdui->turn_bt = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,10,315,40,40,"");
    fl_set_object_callback(obj,button_cb,4);
    fl_set_pixmap_file(obj,SHARES_PATH "/turn1.xpm");

  fdui->mirror_bt = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,55,315,40,40,"");
    fl_set_object_callback(obj,button_cb,5);
    fl_set_pixmap_file(obj,SHARES_PATH "/mirr1.xpm");

  fdui->cut_bt = obj = fl_add_pixmapbutton(FL_PUSH_BUTTON,100,315,40,40,"");
    fl_set_object_callback(obj,button_cb,6);
    fl_set_pixmap_file(obj,SHARES_PATH "/cut.xpm");

    
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/
