/* 
 * Thomas Pantzer: t_ringbuf.h, v0.1b  6.8.99 16:10 
 * 
 * 
 * Copyright 1999 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@zorro.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */







#ifndef T_RINGBUF_H
#define T_RINGBUF_H



class t_ring_buf {
private:
	char *rptr,*wptr,*Array;
	int size,real_size,get_size,put_size;
public:
	void Init(int len, int p_size, int g_size);
				// len must be multiple of get_size
	void Done(void);
	
	char *Get(void);	// return address where to get
	char *Put(void);	// return address where to put
	void Put(char *buf);	// memcpy
	int Put_Avail(void);
	int Get_Avail(void);
};




#endif
