/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "minidraw.h"

#include "copyright.h"

FD_odraw *create_form_odraw(void)
{
  FL_OBJECT *obj;
  FD_odraw *fdui = (FD_odraw *) fl_calloc(1, sizeof(*fdui));


  fl_set_border_width(1);
  
  fdui->odraw = fl_bgn_form(FL_NO_BOX, 240, 230);
  obj = fl_add_box(FL_UP_BOX,0,0,240,230,"");
  fdui->place_ch = obj = fl_add_choice(FL_NORMAL_CHOICE,145,25,80,30,"Place");
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_color(obj,FL_PALEGREEN,FL_BLACK);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,choice_cb,10);
    fl_addto_choice(obj,"Line%x1|Circle%x2|Rectangle%x3|Text%x4|Resistor%x5|Triangle%x6%d|Polygon%x7");
//    fl_set_choice_item_mode(obj,3,FL_INACTIVE);

  fdui->edit_ch = obj = fl_add_choice(FL_NORMAL_CHOICE,15,25,80,30,"Object");
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_color(obj,FL_PALEGREEN,FL_BLACK);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,choice_cb,11);
    fl_addto_choice(obj,"Add%x1|Delete%x2|Rotate%x3|Move%x4|Mirror%x5%d|Update%x6%d|Ungroup%x7%d|Group%x8|Upper%x9%l|Export%x10|Import%x11%d");

  fdui->color_bt = obj = fl_add_button(FL_NORMAL_BUTTON,165,85,60,30,"Color");
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
//    fl_set_object_color(obj,FL_MCOL,FL_BLACK);
//    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,button_cb,13);
//    fl_addto_choice(obj,"green|blue|red|yellow|white|cyan|wheat|darkgold|"
//                        "black|orange|palegreen|orchid|darkcyan|deeppink|"
//                        "chartreuse|darkviolet|springgreen|dogerblue");

  fdui->style_ch = obj = fl_add_choice(FL_NORMAL_CHOICE,165,185,60,30,"Style");
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_BLACK);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,choice_cb,14);
    fl_addto_choice(obj,"empty|solid");

  fdui->linewidth_ch = obj = fl_add_choice(FL_NORMAL_CHOICE,165,135,60,30,"Linewidth");
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_BLACK);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,choice_cb,15);
    fl_addto_choice(obj,"1|3");

  fdui->grid_sl = obj = fl_add_slider(FL_HOR_NICE_SLIDER,15,185,60,20,"");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
    fl_set_object_callback(obj,slider_cb,0);
    fl_set_slider_bounds(obj,1,20);
    fl_set_slider_step(obj,1);
//    fl_set_slider_value(obj, 0.52);
     fl_set_slider_return(obj, FL_RETURN_CHANGED);

  fdui->grid_inp = obj = fl_add_input(FL_NORMAL_INPUT,15,165,60,20,"Grid");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,input_cb,0);

  fdui->coord_inp = obj = fl_add_input(FL_NORMAL_INPUT,85,165,70,20,"Coords");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
//    fl_set_object_callback(obj,input_cb,2);
    fl_deactivate_object(obj);

  fdui->coord2_inp = obj = fl_add_input(FL_NORMAL_INPUT,85,185,70,20,"");
//    fl_set_object_lalign(obj,FL_ALIGN_TOP);
//    fl_set_object_callback(obj,input_cb,2);
    fl_deactivate_object(obj);

  fdui->font_sl = obj = fl_add_slider(FL_HOR_NICE_SLIDER,15,105,60,20,"");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_callback(obj,slider_cb,1);
    fl_set_slider_value(obj, 1.00);
     fl_set_slider_return(obj, FL_RETURN_CHANGED);

  fdui->font_inp = obj = fl_add_input(FL_NORMAL_INPUT,15,85,60,20,"Fontsize");
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,input_cb,1);

  fdui->font_ch = obj = fl_add_choice(FL_NORMAL_CHOICE,85,85,60,30,"Font");
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
//    fl_set_object_color(obj,FL_MCOL,FL_BLACK);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
//    fl_set_object_callback(obj,choice_cb,7);

//  fdui->font_ch = obj = fl_add_choice(FL_NORMAL_CHOICE,10,120,70,30,"Font");
//    fl_set_object_shortcut(obj,"F",1);
//    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_color(obj,FL_SLATEBLUE,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
//    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,choice_cb,17);
    fl_addto_choice(obj,"vga|courier|times|helvetica|oblique|8x16|9x15|10x20|italic|fixed");



  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

